"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageListener = void 0;
var react_1 = __importStar(require("react"));
var index_1 = require("mobx-react-lite/dist/index");
var primeobjects_ui_web_store_1 = require("primeobjects-ui-web-store");
exports.MessageListener = (0, index_1.observer)(function (props) {
    var _a = (0, react_1.useState)(undefined), latestMessageId = _a[0], setLatestMessageId = _a[1];
    var messageStore = (0, primeobjects_ui_web_store_1.useMessageStore)();
    (0, react_1.useEffect)(function () {
        var id = messageStore.id, type = messageStore.type, content = messageStore.content;
        if (latestMessageId != id) {
            setLatestMessageId(id);
            props.onMessage({ id: id, type: type, content: content });
        }
    }, [messageStore.id]);
    return react_1.default.createElement(react_1.default.Fragment, null);
});
//# sourceMappingURL=message-listener.js.map