"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var react_1 = __importStar(require("react"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var lodash_1 = require("lodash");
if ((0, core_1.libTrackIsOn)())
    console.log("Load Ant Notification");
var Notification = function (props) {
    var message = props.message, description = props.description, type = props.type, id = props.id, refresh = props.refresh;
    var placement = "".concat((0, lodash_1.camelCase)(props.placement ? props.placement : "top-right"));
    var duration = props.duration ? props.duration : 2;
    var params = {
        message: message,
        description: description,
        placement: placement,
        duration: duration
    };
    (0, react_1.useEffect)(function () {
        if ((0, primeobjects_helper_util_1.isNonEmptyString)(message) || (0, primeobjects_helper_util_1.isNonEmptyString)(description)) {
            antd_1.notification[type ? type : "info"](params);
        }
    }, [message, description, type, placement, id, refresh]);
    return react_1.default.createElement(react_1.default.Fragment, null);
};
Notification.displayName = "Notification";
exports.default = Notification;
//# sourceMappingURL=notification.js.map