import React from "react";
export type TStripeProps = {
    id: string;
    attributeName?: string;
    paymentMethod?: string;
    returnUrl: string;
    currency?: string;
    triggerSubmit?: string | number;
};
export declare const Stripe: (props: TStripeProps) => React.JSX.Element;
export declare const StripeForm: (props: TStripeProps & {
    clientSecret: string;
}) => React.JSX.Element;
export default Stripe;
